Subject: Re: bug#723: init-system-helpers: update-rc.d calls systemctl on a SysVinit system, creating a recursion

From: Mark Hindley <[email-masked]>
Date: Sun, 13 Nov 2022 18:38:28 +0000

Control: tags -1 moreinfo

Wolfgang,

Thanks for this.

On Sat, Nov 12, 2022 at 09:20:17PM +0100, Wolfgang Wegner wrote:
> Package: init-system-helpers
> Version: 1.65.2devuan1
> Severity: normal
> X-Debbugs-Cc: [email-masked]
> 
> Dear Maintainer,
> 
> I am trying to install a package which expects SystemD. I manually added
> scripts and an initial set for sysVinit. However, the post-install script
> calls "systemctl --no-reload enable <packagename>", which invokes
> update-rc.d, which in turn diverts to a systemctl call, and so on.

Which of the available systemctl emulations do you have installed?

> Calling update-rc.d from the systemctl "abstraction" (surrogate?) seems
> to be correct, but I would have expected update-rc.d to detect the system's
> init system and - as I am using sysVinit on Devuan - just modify the links.
> 
> update-rc.d behaviour can also be reproduced when calling it for an already
> installed service.

Could you give a specific example here. I can't reproduce it.

Thanks

Mark